.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the Sprite3D.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_Sprite3D:

Sprite3D
========

**Inherits:** :ref:`SpriteBase3D<class_spritebase3d>` **<** :ref:`GeometryInstance<class_geometryinstance>` **<** :ref:`VisualInstance<class_visualinstance>` **<** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

2D Sprite node in 3D world.

Signals
-------

.. _class_Sprite3D_frame_changed:

- **frame_changed** **(** **)**

Emitted when the :ref:`frame<class_Sprite3D_frame>` changes.


Member Variables
----------------

  .. _class_Sprite3D_frame:

- :ref:`int<class_int>` **frame** - Current frame to display from sprite sheet. :ref:`vframes<class_Sprite3D_vframes>` or :ref:`hframes<class_Sprite3D_hframes>` must be greater than 1.

  .. _class_Sprite3D_hframes:

- :ref:`int<class_int>` **hframes** - The number of columns in the sprite sheet.

  .. _class_Sprite3D_region_enabled:

- :ref:`bool<class_bool>` **region_enabled** - If ``true`` texture will be cut from a larger atlas texture. See :ref:`region_rect<class_Sprite3D_region_rect>`. Default value: ``false``.

  .. _class_Sprite3D_region_rect:

- :ref:`Rect2<class_rect2>` **region_rect** - The region of the atlas texture to display. :ref:`region_enabled<class_Sprite3D_region_enabled>` must be ``true``.

  .. _class_Sprite3D_texture:

- :ref:`Texture<class_texture>` **texture** - :ref:`Texture<class_texture>` object to draw.

  .. _class_Sprite3D_vframes:

- :ref:`int<class_int>` **vframes** - The number of rows in the sprite sheet.


Description
-----------

A node that displays a 2D texture in a 3D environment. The texture displayed can be a region from a larger atlas texture, or a frame from a sprite sheet animation.

